Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
DOMLocator Class Reference

DOMLocator is an interface that describes a location. More...

## Public Member Functions

Destructor
virtual | ~DOMLocator ()
| Destructor.
Functions introduced in DOM Level 3
virtual XMLFileLoc | getLineNumber () const =0
| Get the line number where the error occured, or 0 if there is no line number available.
virtual XMLFileLoc | getColumnNumber () const =0
| Get the column number where the error occured, or 0 if there is no column number available.
virtual XMLFilePos | getByteOffset () const =0
| Get the byte offset into the input source, or ~(XMLFilePos(0)) if there is no byte offset available.
virtual XMLFilePos | getUtf16Offset () const =0
| Get the UTF-16 offset into the input source, or ~(XMLFilePos(0)) if there is no UTF-16 offset available.
virtual DOMNode * | getRelatedNode () const =0
| Get the DOMNode where the error occured, or `null` if there is no node available.
virtual const XMLCh * | getURI () const =0
| Get the URI where the error occured, or `null` if there is no URI available.

## Protected Member Functions

Hidden constructors
| DOMLocator ()

## Detailed Description

DOMLocator is an interface that describes a location.

(e.g. where an error occured).

See Also
  DOMError::DOMError

Since
  DOM Level 3

## Constructor & Destructor Documentation

DOMLocator::DOMLocator | ( |  | ) |

protected

virtual DOMLocator::~DOMLocator | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual XMLFilePos DOMLocator::getByteOffset | ( |  | ) | const

pure virtual

Get the byte offset into the input source, or ~(XMLFilePos(0)) if there is no byte offset available.

Since
  DOM Level 3

virtual XMLFileLoc DOMLocator::getColumnNumber | ( |  | ) | const

pure virtual

Get the column number where the error occured, or 0 if there is no column number available.

Since
  DOM Level 3

virtual XMLFileLoc DOMLocator::getLineNumber | ( |  | ) | const

pure virtual

Get the line number where the error occured, or 0 if there is no line number available.

Since
  DOM Level 3

virtual DOMNode* DOMLocator::getRelatedNode | ( |  | ) | const

pure virtual

Get the DOMNode where the error occured, or `null` if there is no node available.

Since
  DOM Level 3

virtual const XMLCh* DOMLocator::getURI | ( |  | ) | const

pure virtual

Get the URI where the error occured, or `null` if there is no URI available.

Since
  DOM Level 3

virtual XMLFilePos DOMLocator::getUtf16Offset | ( |  | ) | const

pure virtual

Get the UTF-16 offset into the input source, or ~(XMLFilePos(0)) if there is no UTF-16 offset available.

Since
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLocator.hpp